Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Frage zu Volare (hell und Dark) Design
#1
Question 
Ich habe mal eine Frage, da ich mir das nicht ganz erklären kann warum die Meldungen auftauchen. Ich habe keine Plugins aktiv im Einsatz, da ich versuche das Problem einzugrenzen bisher aber keine Möglichkeit gefunden woran ich das lokalisieren kann.

Ich bekomme wenn ich einen Beitrag verfassen möchte Folgende Meldungen im Header des Forums angezeigt:
Code:
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.
MyBB Internal: One or more warnings occurred. Please contact your administrator for assistance.

Schaue ich im Admin-CP in den Logs rein, dort finde ich aber keine Meldungen dazu, das irgendwas einen Fehler ausgelöst hat, weshalb ich mal bei euch dies bezüglich nachfrage, vielleicht hat jemand ein ähnliches Problem gehabt.

Die Sufu hat mir zu den Theme keine Treffer gebracht wo das schon mal aufgekommen war. 
Ich bedanke mich schon einmal im Vorfeld für die Hilfe dazu. 

Lieben Gruß terosa
Zitieren
#2
Wie die Anzeige von Fehlermeldungen aktiviert werden kann, steht in einem angepinnten Thread: https://www.mybb.de/forum/thread-30269-p...#pid246191
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
(04.02.2021, 17:18)terosa schrieb: Schaue ich im Admin-CP in den Logs rein, dort finde ich aber keine Meldungen dazu, das irgendwas einen Fehler ausgelöst hat, weshalb ich mal bei euch dies bezüglich nachfrage, vielleicht hat jemand ein ähnliches Problem gehabt.

Aktive die Logs wie von StefanT bereits verlinkt und installiere dieses PlugIn dazu. Dann findest Du die Fehlerquelle bestimmt.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#4
Danke für den Hilfepunkt, es gibt nun folgende Meldung:

Code:
Warning [2] Use of undefined constant username - assumed 'username' (this will throw an Error in a future version of PHP) - Line: 50 - File: showthread.php(1600) : eval()'d code PHP 7.4.14 (Linux)

Ich mag mich jetzt irren oder liege nur zum teil richtig, das die PHP-Version vom Server geringer ist als erforderlich. Geprüft habe ich das gerade selbst nochmal und laut Angaben vom Hoster ist die oben genannte PHP-Version die aktuelle die vom Hoster für den Serverinstalliert wurde. 

Mein Webspaceanbieter ist Hetzner. Bin soweit auch sehr zufrieden mit den Leistungen. Nun weiß ich aber nicht, ob es von Seiten Mir oder Seiten des Hosters etwas vorgenommen werden muss. :/


Edit:
@Gerit, Danke für das Plugin, das werde ich zusätzlich installieren. Da ich das schon von Stefan umgesetzt habe. Dein Beitrag habe ich nicht mitbekommen da ich meinen zweiten Verfasst hatte.
Zitieren
#5
Der Fehler wird vom Template "showthread" in Zeile 50 verursacht. Da ich kein Theme namens "Volare (hell und Dark)" finden kann, kann ich leider nicht nachschauen.

(04.02.2021, 17:44)Gerti schrieb: Aktive die Logs wie von StefanT bereits verlinkt und installiere dieses PlugIn dazu. Dann findest Du die Fehlerquelle bestimmt.
Ich halte diesen Tipp für zu umständlich. Das Plugin bietet keine Zusatzinformationen, die über die angezeigte Fehlermeldung hinausgehen. In Zeit in, die man für die Installation benötigt, könnte man den Fehler bereits beheben.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#6
(04.02.2021, 18:19)StefanT schrieb: Ich halte diesen Tipp für zu umständlich. Das Plugin bietet keine Zusatzinformationen, die über die angezeigte Fehlermeldung hinausgehen.
Ich erinnere an den Zeitraum 08.07. bis 15.07 2020 wo zu diesem Thema ein doch sehr intensiver Dialog, auch mit Deiner Beteiligung, geführt wurde. Schnapsnase hat es dann hinsichtlich der "Ordner" sachgerecht und lesbar umgesetzt. Meine Wenigkeit hat lediglich die "Löschfunktion" der "unterschiedlichen Protokolle implementiert. Den heutigen Einwand "bietet keine Zusatzinformationen" hast Du bedauerlicherweise damals nicht eingebracht *grübel Warum nur hat man sich dann die Mühen gemacht?

Nebenbei:
Das PlugIn wurde ja ursprünglich nicht aus dem Grund geschrieben weil die Fehlerprotokolle bei MyBB "perfekt" geschrieben werden, sondern weil MyBB in diesem Punkt "unperfekt" ist. Mir zumindest hat das PlugIn bisher bessere Dienste geleistet als die Standardfehlerprotokollierung von MyBB.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#7
@StefanT; Ich habe beides in Klammern gesetzt da  ich annahm (fälschlicher Weise wohl angemerkt) ihr kennt sie zumindest aus dem Erweiterungsanbgebot selbst. Mein Fehler.

Von mir sind jedoch folgende Themes gemeint:

Volare Dark Responsive

sowie:

Volare Responsive
Zitieren
#8
@Gerti: Das war aber gar nicht mein Kritikpunkt. Zur Analyse dieses Fehlers reicht es aus 2 Optionen im Admin-CP umzustellen. Dein Weg über das Logging und ein Plugin ist wesentlich aufwendiger und bietet keinerlei Mehrwert. Das Plugin zeigt nichts an, was die Fehlersuche oder -behebung weiter vereinfacht.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#9
Es ist stark davon auszugehen, dass hier durch ein Plugin eine Template-Änderung gemacht wurde, die evtl. nach dem Deaktivieren des Plugin nicht rückgängig gemacht wurde.
Somit bleibt der Fehler (was übrigens nur ein Hinweis ist) auch bei deaktiviertem Plugin erhalten.
Prüfe dieses Template gegenüber dem Original und dann wirst Du auch den Auslöser finden.
Irgenwo wird [username] als Konstante angenommen, was aber keine ist. Richtigerweise muss dann ['username'] stehen.
Zitieren
#10
@Schnapsnase, danke für den Hinweis, dem werde ich dann ebenfalls mal nachgehen.
Zitieren